Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class MulticastImageConsumer

    java.lang.Object
      |
      +--com.sun.jimi.core.util.MulticastImageConsumer

public class MulticastImageConsumer
extends java.lang.Object
implements java.awt.image.ImageConsumer

Multicasting ImageConsumer.

Field Summary
`protected java.awt.image.ColorModel` | `colorModel_`
`protected int` | `height_`
`protected int` | `hints_`
`protected java.util.Hashtable` | `properties_`
`protected int` | `width_`

Constructor Summary
`MulticastImageConsumer()`

Method Summary
`void` | `addConsumer(java.awt.image.ImageConsumer consumer)`
`void` | `addConsumers(java.awt.image.ImageConsumer[] consumers)`
`boolean` | `contains(java.awt.image.ImageConsumer consumer)`
`java.awt.image.ImageConsumer[]` | `getConsumers()`
`void` | `imageComplete(int status)`
`boolean` | `isEmpty()` Check if there are any consumers in the multicaster.
`void` | `removeAll()`
`void` | `removeConsumer(java.awt.image.ImageConsumer consumer)`
`void` | `setColorModel(java.awt.image.ColorModel cm)`
`void` | `setDimensions(int w, int h)`
`void` | `setHints(int hints)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, byte[] pixels, int off, int scansize)`
`void` | `setPixels(int x, int y, int w, int h, java.awt.image.ColorModel model, int[] pixels, int off, int scansize)`
`void` | `setProperties(java.util.Hashtable properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hints_

    protected int hints_

### colorModel_

    protected java.awt.image.ColorModel colorModel_

### width_

    protected int width_

### height_

    protected int height_

### properties_

    protected java.util.Hashtable properties_

Constructor Detail

### MulticastImageConsumer

    public MulticastImageConsumer()

Method Detail

### setDimensions

    public void setDimensions(int w,
                              int h)

  Specified by:
    setDimensions in interface java.awt.image.ImageConsumer

### setColorModel

    public void setColorModel(java.awt.image.ColorModel cm)

  Specified by:
    setColorModel in interface java.awt.image.ImageConsumer

### setHints

    public void setHints(int hints)

  Specified by:
    setHints in interface java.awt.image.ImageConsumer

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          byte[] pixels,
                          int off,
                          int scansize)

  Specified by:
    setPixels in interface java.awt.image.ImageConsumer

### setPixels

    public void setPixels(int x,
                          int y,
                          int w,
                          int h,
                          java.awt.image.ColorModel model,
                          int[] pixels,
                          int off,
                          int scansize)

  Specified by:
    setPixels in interface java.awt.image.ImageConsumer

### imageComplete

    public void imageComplete(int status)

  Specified by:
    imageComplete in interface java.awt.image.ImageConsumer

### setProperties

    public void setProperties(java.util.Hashtable properties)

  Specified by:
    setProperties in interface java.awt.image.ImageConsumer

### getConsumers

    public java.awt.image.ImageConsumer[] getConsumers()

### addConsumer

    public void addConsumer(java.awt.image.ImageConsumer consumer)

### addConsumers

    public void addConsumers(java.awt.image.ImageConsumer[] consumers)

### removeConsumer

    public void removeConsumer(java.awt.image.ImageConsumer consumer)

### removeAll

    public void removeAll()

### isEmpty

    public boolean isEmpty()

  Check if there are any consumers in the multicaster.
  Returns:
    true if no consumers have been added

### contains

    public boolean contains(java.awt.image.ImageConsumer consumer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD